Bug 29760 - [via/promise] Kernel Panic when booting from boot.img floppy
[via/promise] Kernel Panic when booting from boot.img floppy
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-27 11:23 EST by Derrick Hamner
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-23 17:24:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derrick Hamner 2001-02-27 11:23:52 EST
Installation using a floppy created from boot.img usually causes a kernel 
panic when running /sbin/loader.

Reproducible: Sometimes
Steps to Reproduce:
1. Create a boot floppy from /images/boot.img
2. Boot from the floppy.
3. Choose graphical or text install.
	

Actual Results:  When using graphical install the success sequence for 
multiple attempts is 01100011. The two messages received are:
Code: 89 08 89 4d 04 74 08 83 fe 01 74 2f eb 51 90 89 59 04 c7 41
Kernel panic: Aiee, killing interrupt handler!
In interrupt handler - not syncing
and
Code: 8b 44 81 f0 83 f8 01 76 08 b8 01 00 00 00 c3 89 f6 48 75 09
Kernel panic: Aiee, killing interrupt handler!
In interrupt handler - not syncing

Using a text install the sucess sequence is 000001111000.
The message received most often is:
Code: 39 7a 04 75 23 8b 02 85 c0 89 03 75 03 89 5e 04 52 ff 35 00
Kernel panic: Aiee, killing interrupt handler!
In interrupt handler - not syncing
On the second failure the result code was:
Code: 8b 44 81 f0 83 f8 01 76 08 b8 01 00 00 00 c3 89 fb 48 75 09
On the seventh failure the result code was:
Code: cf c7 e8 3f c3 ff ff 85 db 74 2f ff 43 14 3b 5e 50 74 19 68

Using a custom kickstart floppy results in a success sequence of 10111011 
with the following result code.
Oops: 0000
CPU:	0
EIP:	0010:[<00190209>]
EFLAGS:	00010082
eax: e0000101	ebx: c7ed6500	ecx: 00000006	edx: 00000018
esi: e0000101	edi: 00000006	ebp: c023dfa8	esp: c023df64
ds: 0018	es: 0018	ss: 0018
Process swapper (pid: 0, stackpage=c023d000)
Stack:	c010a011 00000006 05070000 c023dfa8 c023dfa8 00000006 c02599c0 
c7ed6500
	c010a160 00000006 c023dfa8 c7ed6500 c023c000 c0107210 c023c000 
ffffe000
	c0108f58 c023c000 00000032 00000019 c0107210 c023c000 ffffe000 
00000000
Call Trace: [<c010a011>] [<c010a160>] [<c0107210>] [<c0108f58>] 
[<c0107210>] [<c0107233>] [<c010729a>]
	[<c0105000>] [<c0100191>]

Code: Bad EIP value.
Kernel panic: Aiee, killing interrupt handler!
In interrupt handler - not syncing


Expected Results:  anaconda should have started.

Booting from the CD-ROM works reliably.
This has been attempted on different computers that have the same type of 
hardware. The motherboard is an Asus A7V with an 850 MHz. AMD Duron and 
128MB of PC-133 SDRAM. There is an IDE CD-ROM drive on the VIA primary 
master, IBM ATA-100 30GB IDE hard drives on a Promise primary master and a 
Promise Secondary master. Hooking up the hard drives to the VIA controller 
does not affect the situation. Fisher installs reliably using the CD-ROM 
or floppies created from boot.img on the same hardware.
Comment 1 Arjan van de Ven 2001-03-19 10:55:29 EST
Can you try a recent kernel from Rawhide? (version 2.4.2-0.1.25 or later);
lot's of bad problems with via chipsets have been fixed in that.
Comment 2 Derrick Hamner 2001-03-22 13:56:50 EST
I'm unfamiliar with creating a new boot floppy with a different kernel that 
will start the RedHat install routine. I created a boot floppy from the Rawhide 
images/boot.img file and used it with the Wolverine CD's. It fails while trying 
to create the RAID 1 devices. The apparently relevant error messages are:

<6> RAID level 65536 does not need chunksize! Continuing anyway.
<3> md.c: personality 3 is not loaded!

These messages are repeated for each RAID device.
Comment 3 Arjan van de Ven 2001-03-22 14:01:52 EST
Well mixing different installers versus the CD won't work unfortionatly.
Comment 4 Arjan van de Ven 2001-03-23 15:55:55 EST
Also, setting the bios to "normal performance" instead of "optimal performance"
tends to fix this. We believe there are some chipset bugs in play here.
Comment 5 Derrick Hamner 2001-03-23 17:24:18 EST
The Normal performance option results in the exact same error message for me.
Would you like to expand on your instructions for using a Rawhide kernel or 
create a boot.img with that kernel for me to try?
Comment 6 Michael K. Johnson 2001-07-03 15:50:57 EDT
Please re-open this bug report if you have reproduced this bug in
the official release of Red Hat Linux 7.1, thanks!

Note You need to log in before you can comment on or make changes to this bug.